/**
 * EasyBeans
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IDeploymentUnboundMojo.java 5360 2010-02-24 14:29:45Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.maven.plugin.deployment.api;



/**
 * Interface describing an unbound deployment mojo.
 * @author Vincent Michaud
 */
public interface IDeploymentUnboundMojo extends IDeploymentMojo {

    /**
     * Get the interval in milliseconds to scan EJBs for change.
     * @return The scan interval
     */
    long getScanInterval();

    /**
     * Determine If hot deployment is automatic or manual.
     * @return True if automatic deployment is enabled, false otherwise
     */
    boolean isAutoDeploymentEnabled();

    /**
     * Determine if EAR are explored during the checking of deployable.
     * @return True if EAR are explored
     */
    boolean isExploredEAR();
}
