/**
 * EasyBeans
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MavenLog.java 5360 2010-02-24 14:29:45Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.maven.plugin.deployment.maven;

import org.apache.maven.plugin.logging.Log;


/**
 * Access to the Maven specific field : Log, current project, reactor projects,
 * or local repository.
 * @author Vincent Michaud
 */
public final class MavenLog {

    /**
     * Private constructor.
     */
    private MavenLog() {
    }

    /**
     * The log.
     */
    private static Log log = null;

    /**
     * Get the log of plugin.
     * @return The log
     */
    public static Log getLog() {
        return log;
    }

    /**
     * Set the log.
     * @param log The log
     */
    public static void setLog(final Log log) {
        MavenLog.log = log;
    }

}
